## mlt++-0.2.2.tar.gz

=== Makefile ===
all clean distclean install:
	$(MAKE) DESTDIR=$(DESTDIR) -C src $@ 
	$(MAKE) -C test $@

=== src/Makefile ===
include ../config.mak
INSTALL = install

ifneq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
LIBFLAGS += -Wl,-soname,$(TARGET)
else
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(TARGET)
endif

OBJS = MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMiracle.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltResponse.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"
	/sbin/ldconfig || true

=== test/Makefile ===
include ../config.mak

CXXFLAGS+=-Wall -g `mlt-config --cflags` -I ../src
LDFLAGS+=-L../src -lmlt++ -lmiracle -lvalerie `mlt-config --libs`
CC=c++

all:		play server

play:		play.o

play.o:		play.cpp

server:		server.o

server.o:	server.cpp

clean:
	$(RM) play play.o
	$(RM) server server.o

distclean: clean

install:

=== debian/changelog ===
mlt++ (0.2.1-1) unstable; urgency=low

  * Initial release

 -- charlie <charles@vmfx.com>  Fri,  2 Dec 2005 06:25:07 +0100

=== debian/control ===
Source: mlt++
Section: devel
Priority: optional
Maintainer: Charles Yates <charles@vmfx.com>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: mlt++-dev
Section: devel
Architecture: any
Depends: mlt++ (= ${Source-Version})
Description: Development library and headers for mlt++
 mlt++ is a c++ wrapper for the mlt toolkit.

Package: mlt++
Section: multimedia
Architecture: any
Depends: ${shlibs:Depends}
Description: mlt++ runtime
 mlt++ is a c++ wrapper for the mlt toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export prefix=usr
export libdir=$(prefix)/lib

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=20051130
#major=2

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/$(prefix) --libdir=/$(libdir) --disable-debug

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles -pmlt++-dev $(prefix)/include
	dh_movefiles -pmlt++ $(prefix)
#	dh_installdebconf	
#	dh_installdocs -A README 
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -l${PWD}/debian/mlt++/$(libdir)
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
